Apple must change...

Discussion in 'iOS Jailbreak & Cydia' started by Icy Max, Jan 30, 2008.

  1. Icy Max

    Icy Max New Member

    Dec 8, 2007
    Likes Received:
    Guys, i'm tired, after many months, the iPod touch and the iPhone canno't support the WPA2-Enterprise (801.11x protocol). Apple doesn't take care of his customer. We've all paid 300-400$ and more to have our iPod and they doesn't support this stupid think.

    Could you tell me where is the fun to have an iPod touch if we canno't use it at school or university ?

    Second thing, the january update, it's horrible. Find the mistake, Apple reduce the price of the new iPod touch about 20$ (and more) and those iPods have all the apps. We, the old customers, must now pay that 20$ to have apps.

    That's why I/we need you all, if every people send a feedback to Apple, may be they will add this stupid protocol at all. Each day, write one feedback to Apple and tell them anything you want including these two thing.

    Just go to there:

Share This Page